extern unsigned pascal near RQCreateMailbox(unsigned, unsigned far *);
extern void pascal near RQDeleteMailbox(unsigned, unsigned far *);
extern void pascal near RQSendMessage(unsigned, unsigned, unsigned, unsigned far *);
extern void pascal near RQSendData(unsigned, void far *, unsigned, unsigned far *);
extern unsigned int pascal near RQReceiveMessage(unsigned, unsigned,
                                     unsigned far *, unsigned far *);
extern unsigned int pascal near RQReceiveData(unsigned, void far *,
                                     unsigned, unsigned far *);
extern unsigned pascal near RQCreateSemaphore(unsigned, unsigned,
                                  unsigned, unsigned far *);
extern void pascal near RQDeleteSemaphore(unsigned, unsigned far *);
extern void pascal near RQSendUnits(unsigned, unsigned, unsigned far *);
extern unsigned int pascal near RQReceiveUnits(unsigned, unsigned, unsigned, unsigned far *);
extern unsigned pascal near RQCreateRegion(unsigned, unsigned far *);
extern void pascal near RQDeleteRegion(unsigned, unsigned far *);
extern void pascal near RQSendControl(unsigned far *);
extern void pascal near RQReceiveControl(unsigned, unsigned far *);
extern void pascal near RQAcceptControl(unsigned, unsigned far *);
extern unsigned pascal near RQCreateSegment(unsigned long, unsigned far *);
extern void pascal near RQDeleteSegment(unsigned, unsigned far *);
extern unsigned long pascal near RQGetSize(unsigned, unsigned far *);
extern unsigned long pascal near RQGetAddress(void far *, unsigned far *);
extern unsigned pascal near RQECreateDescriptor(unsigned long, unsigned long, unsigned far *);
extern void pascal near RQEDeleteDescriptor(unsigned, unsigned far *);
extern void pascal near RQEChangeDescriptor(unsigned, unsigned long,
                                            unsigned long, unsigned far *);
extern void pascal near RQCatalogObject(unsigned, unsigned, unsigned char far *, unsigned far *);
extern void pascal near RQUncatalogObject(unsigned, unsigned char far *, unsigned far *);
extern unsigned pascal near RQLookupObject(unsigned, unsigned char far *, unsigned, unsigned far *);
extern unsigned pascal near RQGetTaskTokens(unsigned char, unsigned far *);
extern unsigned pascal near RQGetType(unsigned, unsigned far *);
extern void pascal near RQSleep(unsigned, unsigned far *);
extern void pascal near RQEReadSegment(unsigned, unsigned long,
                           void far *, unsigned, unsigned far *);
extern void pascal near RQEWriteSegment(void far *, unsigned,
                            unsigned long, unsigned, unsigned far *);
